For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reports

Report download operations

Partner Archera Premiums and Rebates by Organization

get

Monthly allocation of Archera premiums, rebates, and savings across child organizations for a channel partner. One row per child org with that org's invoice totals.

Path parameters
org_idstring · uuidRequired
Query parameters
formatstring · enumOptional

Response format: 'json' (default) or 'csv'

Default: jsonPossible values:
yearintegerRequired

Billing year (e.g. 2026)

monthinteger · min: 1 · max: 12Required

Billing month (1-12)

Responses
200

OK

application/json
org_idstringOptional

Child organization identifier

org_namestringOptional

Child organization name

archera_premiumsnumberOptional

Archera premiums for this organization

rebatesnumberOptional

Rebates for this organization

gross_savingsnumberOptional

Gross savings for this organization

net_savingsnumberOptional

Net savings for this organization

get/beta/v1/org/{org_id}/reports/partner_archera_premiums_and_rebates_by_child_org

Archera Premiums and Rebates by Account

get

Monthly allocation of Archera premiums, rebates, and savings by cloud account.

Path parameters
org_idstring · uuidRequired
Query parameters
formatstring · enumOptional

Response format: 'json' (default) or 'csv'

Default: jsonPossible values:
yearintegerRequired

Billing year (e.g. 2026)

monthinteger · min: 1 · max: 12Required

Billing month (1-12)

providerstring · enumRequired

Cloud provider (aws, azure, gcp, unknown)

Possible values:
Responses
200

OK

application/json
account_idstringOptional

Cloud account identifier

account_namestringOptional

Human-readable account name

archera_premiumsnumberOptional

Archera premiums allocated to this account

rebatesnumberOptional

Rebates allocated to this account

gross_savingsnumberOptional

Gross savings allocated to this account

net_savingsnumberOptional

Net savings allocated to this account

get/beta/v1/org/{org_id}/reports/archera_premiums_and_rebates_by_account

Archera Premiums and Rebates Daily

get

Daily allocation of Archera premiums, rebates, and savings over a calendar month.

Path parameters
org_idstring · uuidRequired
Query parameters
formatstring · enumOptional

Response format: 'json' (default) or 'csv'

Default: jsonPossible values:
yearintegerRequired

Billing year (e.g. 2026)

monthinteger · min: 1 · max: 12Required

Billing month (1-12)

providerstring · enumRequired

Cloud provider (aws, azure, gcp, unknown)

Possible values:
Responses
200

OK

application/json
datestring · dateOptional

Calendar date within the requested month

gross_savingsnumberOptional

Gross savings allocated to this date

archera_premiumsnumberOptional

Archera premiums allocated to this date

rebatesnumberOptional

Rebates allocated to this date

net_savingsnumberOptional

Net savings allocated to this date

get/beta/v1/org/{org_id}/reports/archera_premiums_and_rebates_daily

Archera Premiums and Rebates by Account Daily

get

Daily allocation of Archera premiums, rebates, and savings by cloud account over a calendar month.

Path parameters
org_idstring · uuidRequired
Query parameters
formatstring · enumOptional

Response format: 'json' (default) or 'csv'

Default: jsonPossible values:
yearintegerRequired

Billing year (e.g. 2026)

monthinteger · min: 1 · max: 12Required

Billing month (1-12)

providerstring · enumRequired

Cloud provider (aws, azure, gcp, unknown)

Possible values:
Responses
200

OK

application/json
datestring · dateOptional

Calendar date within the requested month

account_idstringOptional

Cloud account identifier

account_namestringOptional

Human-readable account name

gross_savingsnumberOptional

Gross savings allocated to this account on this date

archera_premiumsnumberOptional

Archera premiums allocated to this account on this date

rebatesnumberOptional

Rebates allocated to this account on this date

net_savingsnumberOptional

Net savings allocated to this account on this date

get/beta/v1/org/{org_id}/reports/archera_premiums_and_rebates_by_account_daily

Last updated

Was this helpful?